RLE_CP(3)

NAME
rle_cp - Copy the rest of an image to the output.

SYNOPSIS
#include <rle.h>

rle_cp( in_hdr, out_hdr )
rle_hdr *in_hdr, *out_hdr;

DESCRIPTION
This routine copies the image contents of one RLE(5) file to another. The image described by in_hdr will be copied to the image file described by out_hdr. If any rows have been read with rle_getrow(3) or rle_getraw(3), those rows must have also been written with rle_putrow(3) or rle_putraw(3), respectively, in order for the input and output files to be "in sync". In any case, the header should have been written to the output file with rle_put_setup(3). When rle_cp returns, the input image file will be positioned at the end of the image, and an end of image code will have been written to the output image file.

SEE ALSO
rle_hdr(3), rle_getrow(3), rle_getraw(3), rle_putrow(3), rle_putraw(3), rle_put_setup(3), librle(3), RLE(5).

AUTHOR
Spencer W. Thomas
University of Michigan